%define upstream_name	   Acme-Turing
%define upstream_version   0.02

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
Summary:	Turing machine emulation
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/G/GR/GROMMEL/%upstream_name-%upstream_version.tar.gz
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)

%description
This module gives you the methods needed to emulate a Turing machine in Perl. This module is based on Turing's original paper, which allows complete freedom in the actions to be taken before the machine enters a new state. You can, of course, impose restrictions if you wish, as John von Neumann's paper does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 508982
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 362834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 162642
- imported package perl-Acme-Turing

